> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/powershell-commands/invoke-psucommand.md).

# Invoke-PSUCommand

### Synopsis

Sends events to an event hub.

### Syntax

```powershell
Invoke-PSUCommand [-AppToken <String>] [-ComputerName <String>] [-Data <Object>] -Hub <String> [-Integrated] [-UseDefaultCredentials] [-ConnectionId <String>] [-Credential <PSCredential>] [-TrustCertificate] [-Timeout <Int32>] [<CommonParameters>]

    Invoke-PSUCommand [-AppToken <String>] [-ComputerName <String>] [-Data <Object>] [-Integrated] [-UseDefaultCredentials] -Computer <String> [-Credential <PSCredential>] [-TrustCertificate] [-Timeout <Int32>] [<CommonParameters>]

    Invoke-PSUCommand [-AppToken <String>] [-ComputerName <String>] -Hub <String> [-Integrated] [-UseDefaultCredentials] [-ConnectionId <String>] [-Command <String>] [-Credential <PSCredential>] [-Parameters <Hashtable>] [-TrustCertificate] [-Timeout <Int32>] [<CommonParameters>]

    Invoke-PSUCommand [-AppToken <String>] [-ComputerName <String>] [-Integrated] [-UseDefaultCredentials] [-Command <String>] -Computer <String> [-Credential <PSCredential>] [-Parameters <Hashtable>] [-TrustCertificate] [-Timeout <Int32>] [<CommonParameters>]
```

### Description

Sends events to an event hub.

### Parameters

#### -AppToken

Not used.

```
Required?                    false
Position?                    named
Default value                None
Accept pipeline input?       False
Aliases                      none
Accept wildcard characters?  false
```

#### -ComputerName

Not used.

```
Required?                    false
Position?                    named
Default value                None
Accept pipeline input?       False
Aliases                      Uri
Accept wildcard characters?  false
```

#### -Data The data to send to the client. This data will be serialized to CliXml and deserialized on the client.Required?                    falsePosition?                    namedDefault value                NoneAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false-HubThe name of the event hub to send the event to.Required?                    truePosition?                    namedDefault value                NoneAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false    -Integrated \[\<SwitchParameter>]        Not used.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false    -UseDefaultCredentials \[\<SwitchParameter>]        Not used.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false-ConnectionIdThe connection ID to send the event to. If not specified, the event will be sent to all connected clients.Required?                    falsePosition?                    namedDefault value                NoneAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false-CommandThe command to run on the agent.Required?                    falsePosition?                    namedDefault value                NoneAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false-ComputerThe computer to run this command on.Required?                    truePosition?                    namedDefault value                NoneAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false-CredentialCredentials to login to the PowerShell Universal Management API.Required?                    falsePosition?                    namedDefault value                NoneAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false-ParametersA hashtable of parameters to send to the command.Required?                    falsePosition?                    namedDefault value                NoneAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false    -TrustCertificate \[\<SwitchParameter>]        Whether the cmdlet should ignore certificate issues.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false-TimeoutThe timeout in seconds for the command to run.Required?                    falsePosition?                    namedDefault value                NoneAccept pipeline input?       FalseAliases                      noneAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).InputsNoneOutputsSystem.ObjectNotes--------------------------> Example 1 --------------------------PS C:\\> Invoke-PSUCommand -Hub 'MyHub' -Data @{ Name = 'Adam' }Sends an event to the MyHub event hub. All connected clients will receive the event.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/powershell-commands/invoke-psucommand.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
